Bug 11647 - wi-fi неработоспособен
: wi-fi неработоспособен
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/etcnet)
: unstable
: all Linux
: P5 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-04-28 16:03 by
Modified: 2009-05-24 20:15 (History)


Attachments
wait until connected (2.22 KB, patch)
2007-05-06 02:01, Sergey Bolshakov
no flags Details | Diff
change wireless logic to be uniform with ifplugd (5.34 KB, patch)
2007-05-22 22:15, Sergey Bolshakov
no flags Details | Diff
fixed ifplugd handling for ordinary ifaces, broken by prev patch (5.82 KB, patch)
2007-05-23 00:59, Sergey Bolshakov
no flags Details | Diff
cleaned up (7.33 KB, patch)
2007-05-29 15:29, Sergey Bolshakov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-28 16:03:45
Конфигурация dhcp и wi-fi неработоспособна.

Проблема в следующем:
Сначала взлетает демон wpa_supplicant, после чего не дожидаясь поднятия
радиосвязи взлетает dhcpcd , естественно последний ничего не получает.

Простое решение 'LINKDETECT=yes' не срабатывает ибо например на моей карточке
(airo), сообщение о готовности возникает раньше чем реальная готовность соединения.

Вот выдержка из логов:
--
+ /usr/sbin/ifplugstatus -q eth1
+ rc=2
+ case "$rc" in
+ /usr/sbin/wpa_cli -ieth1 status
ioctl[SIOCGIFADDR]: Cannot assign requested address
wpa_state=DISCONNECTED
--
В данном случае реальный connect возник только где-то через минуту после того
как уже отвалил по timeout dhcpcd.

Что будем делать?
------- Comment #1 From 2007-04-29 09:20:50 -------
Перевесьте etcnet в багзиле на hiddenman@, что ли?
------- Comment #2 From 2007-05-05 17:07:36 -------
Так это проблема драйвера или нет?
------- Comment #3 From 2007-05-05 17:26:13 -------
в нынешнем состоянии etcnet это _не_ проблема драйвера, поскольку
успеть установить связь (и показать ifplugstatus'у, что всё в порядке)
за это время нереально. я работаю над этим, приложу патч ASAP.
------- Comment #4 From 2007-05-06 02:01:59 -------
Created an attachment (id=1948) [details]
wait until connected
------- Comment #5 From 2007-05-22 22:15:46 -------
Created an attachment (id=1986) [details]
change wireless logic to be uniform with ifplugd

attached патчик, обрабатывающий wifi интерфейсы на манер ifplugd -- часть
действий по конфигурированию интерфейса откладывается до момента коннекта к AP,

при разрыве связи происходит обратный процесс.
worksforme для managed режима карточки, использует wpa_supplicant.
please review
------- Comment #6 From 2007-05-22 22:19:31 -------
да, нужно сделать симлинки (в патч не влезли):
etc/net/scripts/ifup-wireless -> ifup-ifplugd
etc/net/scrips/ifdown-wireless -> ifdown-ifplugd
------- Comment #7 From 2007-05-23 00:59:04 -------
Created an attachment (id=1987) [details]
fixed ifplugd handling for ordinary ifaces, broken by prev patch
------- Comment #8 From 2007-05-27 02:05:27 -------
А таймаут для DHCP увеличить не помогает?
И поиграться с IFPLUGD_EXTRA_ARGS="--api-mode=что-нибудь" (у меня на трех 
разных, но других, железках работало =iff, найдено просмотром ifplugstatus -v)?
DHCP работает. С ifplugd сейчас тоже проблемы.
------- Comment #9 From 2007-05-27 13:11:56 -------
не надо играться. и ifplugd/ifplugstatus с wifi-карточками использовать не 
надо.
------- Comment #10 From 2007-05-29 15:29:34 -------
Created an attachment (id=1998) [details]
cleaned up

latest-greatest revision
------- Comment #12 From 2007-10-22 11:46:19 -------
См. тж. #12951? (fixed in 0.9.4)
------- Comment #13 From 2008-04-13 03:58:23 -------
Денису, я не в теме сейчас.
------- Comment #14 From 2009-05-24 20:14:52 -------
Патч на тему wpa_cli был включен ещё в версию 0.9.3. Замечания не по теме
позволю себе проигнорировать. Вопрос закрыт.